Bug 1076192 - Review Request: python-bitmath - Aids representing and manipulating sizes in various prefix notations
Summary: Review Request: python-bitmath - Aids representing and manipulating sizes in ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-13 18:17 UTC by Tim Bielawa
Modified: 2014-08-15 12:35 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-03-24 06:37:56 UTC
i: fedora-review+


Attachments (Terms of Use)
preliminary rpmlint (154 bytes, text/plain)
2014-03-15 21:51 UTC, Tim Bielawa
no flags Details

Description Tim Bielawa 2014-03-13 18:17:41 UTC
Spec URL: http://lnx.cx/~tbielawa/python-bitmath/python-bitmath.spec
SRPM URL: http://lnx.cx/~tbielawa/python-bitmath/python-bitmath-1.0.2-2.fc21.src.rpm
Description: bitmath simplifies many facets of interacting with file sizes in
various units. Examples include: converting between SI and NIST prefix
units (GiB to kB), converting between units of the same type (SI to
SI, or NIST to NIST), basic arithmetic operations (subtracting 42KiB
from 50GiB), and rich comparison operations (1024 Bytes == 1KiB).

In addition to the conversion and math operations, bitmath provides
human readable representations of values which are suitable for use in
interactive shells as well as larger scripts and applications.
Fedora Account System Username:tbielawa

Comment 1 Tim Bielawa 2014-03-13 18:33:10 UTC
Ick. Was building from a Makefile using the python dist for source. Need to rejigger some of this to make the Source0 tests pass using the github archive as Source0.

Aside from that ^ the fedora-review log when I ran the tests was clean.

Will update bits and make a new comment when everything is straightened out.

Comment 2 Tim Bielawa 2014-03-15 21:46:39 UTC
Spec URL: http://lnx.cx/~tbielawa/python-bitmath/python-bitmath.spec
SRPM URL: http://lnx.cx/~tbielawa/python-bitmath/python-bitmath-1.0.2-3.fc21.src.rpm
Description: bitmath simplifies many facets of interacting with file sizes in
various units. Examples include: converting between SI and NIST prefix
units (GiB to kB), converting between units of the same type (SI to
SI, or NIST to NIST), basic arithmetic operations (subtracting 42KiB
from 50GiB), and rich comparison operations (1024 Bytes == 1KiB).

In addition to the conversion and math operations, bitmath provides
human readable representations of values which are suitable for use in
interactive shells as well as larger scripts and applications.
Fedora Account System Username: tbielawa

Comment 3 Tim Bielawa 2014-03-15 21:50:36 UTC
Updated the last comment with the latest build (1.0.2-3) URLs. Here's my preliminary fedora-review output with [ ]'s filled in. Some [-]'s have been marked.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in /tmp/tmp.EjZIVEShKm/python-
     bitmath/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.


[x]: Package complies to the Packaging Guidelines

Would be good to have some extra review of this part ^




[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.


[ ]: Package meets the Packaging Guidelines::Python

Would be good to have some extra review of this part ^



[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

Build and compiled on F20 and mock F21. Want to get into EPEL6 later, but haven't built there yet.


[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python-bitmath-1.0.2-3.fc21.noarch.rpm
          python-bitmath-1.0.2-3.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-bitmath
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-bitmath (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-bitmath:
    python-bitmath



Source checksums
----------------
https://github.com/tbielawa/bitmath/archive/1.0.2-3.tar.gz :
  CHECKSUM(SHA256) this package     : 1260c430d08f99693ecaa149175cd5b20302dac6725f8ccddd8efb158dba1234
  CHECKSUM(SHA256) upstream package : 1260c430d08f99693ecaa149175cd5b20302dac6725f8ccddd8efb158dba1234


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -v --rpm-spec --name python-bitmath
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Tim Bielawa 2014-03-15 21:51:19 UTC
Created attachment 874893 [details]
preliminary rpmlint

RPM lint from preliminary fedora-review run.

Comment 5 Tim Bielawa 2014-03-17 01:11:41 UTC
Spec URL: http://lnx.cx/~tbielawa/python-bitmath/python-bitmath.spec
SRPM URL: http://lnx.cx/~tbielawa/python-bitmath/python-bitmath-1.0.3-1.fc21.src.rpm
Description: bitmath simplifies many facets of interacting with file sizes in
various units. Examples include: converting between SI and NIST prefix
units (GiB to kB), converting between units of the same type (SI to
SI, or NIST to NIST), basic arithmetic operations (subtracting 42KiB
from 50GiB), and rich comparison operations (1024 Bytes == 1KiB).

In addition to the conversion and math operations, bitmath provides
human readable representations of values which are suitable for use in
interactive shells as well as larger scripts and applications.
Fedora Account System Username: tbielawa



Noticed issue with macro expansion in the changelog. Updated to 1.0.3-1 with fixes.

Comment 6 Christopher Meng 2014-03-21 06:04:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck:

MIT/X11 (BSD like)
------------------
bitmath-1.0.3-1/bitmath/__init__.py
bitmath-1.0.3-1/setup.py

Unknown or generated
--------------------
bitmath-1.0.3-1/tests/__init__.py
bitmath-1.0.3-1/tests/test_basic_math.py
bitmath-1.0.3-1/tests/test_properties.py
bitmath-1.0.3-1/tests/test_representation.py
bitmath-1.0.3-1/tests/test_to_Type_conversion.py

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python-bitmath-1.0.3-1.fc21.noarch.rpm
          python-bitmath-1.0.3-1.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-bitmath
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-bitmath (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-bitmath:
    python-bitmath



Source checksums
----------------
https://github.com/tbielawa/bitmath/archive/1.0.3-1.tar.gz :
  CHECKSUM(SHA256) this package     : afea2419f3bf2c7eb716f9db1a31d17fb23df29ee62748c41d0c70273a891e8b
  CHECKSUM(SHA256) upstream package : afea2419f3bf2c7eb716f9db1a31d17fb23df29ee62748c41d0c70273a891e8b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn python-bitmath-1.0.3-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-------------------------------
You should add license headers for tests, too.

PACKAGE APPROVED.

Comment 7 Tim Bielawa 2014-03-21 14:29:37 UTC
New Package SCM Request
=======================
Package Name: python-bitmath
Short Description: Aids representing and manipulating sizes in various prefix notations
Owners: tbielawa
Branches: f19 f20 el6 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-03-21 14:41:42 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-03-21 16:42:07 UTC
python-bitmath-1.0.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-bitmath-1.0.4-1.fc19

Comment 10 Fedora Update System 2014-03-21 16:42:16 UTC
python-bitmath-1.0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-bitmath-1.0.4-1.fc20

Comment 11 Fedora Update System 2014-03-23 04:41:21 UTC
python-bitmath-1.0.4-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 12 Fedora Update System 2014-03-24 06:37:56 UTC
python-bitmath-1.0.4-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-03-24 06:41:09 UTC
python-bitmath-1.0.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Tim Bielawa 2014-08-15 03:05:31 UTC
Package Change Request
======================
Package Name: python-bitmath
New Branches: f21 el6 epel7

I have been successfully able to submit updates to the f19 and f20 branches:

https://admin.fedoraproject.org/updates/python-bitmath-1.0.8-3.fc19
https://admin.fedoraproject.org/updates/python-bitmath-1.0.8-3.fc20

I am, however, unable to submit updates for: f21, el6, and epel7

Result of "fedpkg build" while on the "el6" branch:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7308083

However, "fedpkg update" informs me:

> Creating a new update for  python-bitmath-1.0.8-3.el6 
> Invalid build: python-bitmath-1.0.8-3.el6

When setting "type" to "enhancement" or "newpackage"


The same behavior is exhibited when submitting updates for the f21 and epel7 branches.

**NOTE** That these branches, f21, el6, and epel7 do not currently have the python-bitmath package in them


Is there something I need to do to make this possible, or am I doing something wrong?

Thanks!

Comment 15 Gwyn Ciesla 2014-08-15 11:43:01 UTC
I'm not sure, but I don't think it's a git issue, contact rel-eng.

Comment 16 Tim Bielawa 2014-08-15 12:35:31 UTC
Can you point me in their general direction? Mailing list/irc channel/other?


Note You need to log in before you can comment on or make changes to this bug.